Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.jsr94.admin
Class JarRepositorySource

`java.lang.Object
oracle.rules.jsr94.admin.JarRepositorySource`

All Implemented Interfaces:
  RuleSource, java.io.Serializable

public class JarRepositorySource
extends java.lang.Object
implements RuleSource

A `RuleSource` that specifies rule sets defined in an Oracle Business Rules Jar file based repository.

See Also:
  Serialized Form

Constructor Summary
`JarRepositorySource(java.lang.String location, java.lang.String dictionaryName, java.lang.String dictionaryVersion, java.lang.String[] rulesets)` Create a `JarRepositorySource`.

Method Summary
`java.lang.String` | `getDictionaryName()` Get the name of the dictionary in the repository.
`java.lang.String` | `getDictionaryVersion()` Get the version of the dictionary.
`java.lang.String` | `getLocation()` Get the location of the repository.
`java.lang.Object` | `getRules(SensitiveDataCallback callback)` Get an object that provides access to the rule sets.
`java.lang.String[]` | `getRulesets()` Get the names of the rule sets to load from the dictionary.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarRepositorySource

    public JarRepositorySource(java.lang.String location,
                               java.lang.String dictionaryName,
                               java.lang.String dictionaryVersion,
                               java.lang.String[] rulesets)

  Create a `JarRepositorySource`.
Parameters:
  `location` - The path to the jar file that contains the repository.
  `dictionaryName` - The name of the dictionary containing the rule sets.
  `dictionaryVersion` - The version of the dictionary.
  `rulesets` - The names of the rule sets to load from the dictionary.

Method Detail

### getLocation

    public java.lang.String getLocation()

  Get the location of the repository.
  Returns:
    The location of the repository.

### getDictionaryName

    public java.lang.String getDictionaryName()

  Get the name of the dictionary in the repository.
  Returns:
    The name of the dictionary in the repository.

### getDictionaryVersion

    public java.lang.String getDictionaryVersion()

  Get the version of the dictionary.
  Returns:
    The version of the dictionary.

### getRulesets

    public java.lang.String[] getRulesets()

  Get the names of the rule sets to load from the dictionary.
  Returns:
    The names of the rule sets to load from the dictionary.

### getRules

    public java.lang.Object getRules(SensitiveDataCallback callback)
                              throws javax.rules.admin.RuleAdministrationException

  Get an object that provides access to the rule sets. This is intended for internal use by the implementation.
  Specified by:
    `getRules` in interface `RuleSource`
  Parameters:
    `callback` - The callback for accessing sensitive data.
  Returns:
    An object that provides access to the rule sets.
  Throws:
    `javax.rules.admin.RuleAdministrationException` - if there is an error gaining access

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.